## pidentd 3.0.19.ds1

=== debian/changelog ===
pidentd (3.0.19.ds1-8) unstable; urgency=medium

  * Fix uses-deprecated-compression-for-data-tarball.
  * Build with OpenSSL 1.0.2 in stretch.
    Closes: #828501
  * Standards-Version is 3.9.8

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 25 Nov 2016 17:27:16 +0000

pidentd (3.0.19.ds1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/pidentd.tmpfile and debian/pidentd.links (Closes: #796689)
    - create runtimedirectory using tmpfiles.d instead of via init-script.
  * Source LSB init-functions in pidentd init script
    - this allows systemd LSB hook to redirect direct init script
      invocations to use systemctl instead. Caught by lintian.
  * Drop explicit bzip2 compression in debian/rules and use default
    - these days default (xz for source format > 1.0) is better
      and this avoids lintian error about bzip2 being deprecated.
  * Include dpkg buildflags.mk to export hardening flags
    - fixes missing hardening options in built binaries as caught by lintian.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 08 Jun 2016 22:39:15 +0200

pidentd (3.0.19.ds1-7) unstable; urgency=low

  * Fix update-rc.d error
    Patch by Martin Stigge
    Closes: 651031

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 08 Dec 2011 13:02:52 +1100

pidentd (3.0.19.ds1-6) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix "pidentd does not work with /var/run mounted as a tmpfs file
    system" apply the solution proposed by John Zaitseff adding an init
    script (Closes: #411019)

  [ Anibal Monsalve Salazar ]
  * Debian source format is 3.0 (quilt)
  * Standards-Version is 3.9.2
  * DH compatibility level is 7
  * Fix "Override says net - optional, .deb says net - standard"
  * Fix maintainer-script-without-set-e
  * Fix pidentd-des: empty-binary-package
  * Fix dh-clean-k-is-deprecated
  * Fix debian-rules-missing-recommended-target
  * Fix command-with-path-in-maintainer-script

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2011 09:35:38 +1100

pidentd (3.0.19.ds1-5) unstable; urgency=low

  * Priority is optional; closes: #416570, #492060
  * Standards-Version is 3.8.0
  * Fix description-contains-homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 23 Sep 2008 19:49:46 +1000

pidentd (3.0.19.ds1-4) unstable; urgency=high

  * Change identd from /var/run back to /var/run/identd.
    Closes: #438554, #427409, #430336, #430711.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Aug 2007 18:27:08 +1000

pidentd (3.0.19.ds1-3) unstable; urgency=low

  * Sinchronise with ubuntu.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 19 May 2007 19:25:14 +1000

pidentd (3.0.19.ds1-2) unstable; urgency=low

  * Acknowledge NMU. Closes: #417040.
  * Fixed the following lintian errors:
    - outdated-autotools-helper-file aux/config.guess 2003-01-03
    - outdated-autotools-helper-file aux/config.sub 2003-01-03
  * Set debhelper >= 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 May 2007 18:58:28 +1000

pidentd (3.0.19.ds1-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix broken use of -a in test in postrm.

 -- Luk Claes <luk@debian.org>  Fri, 18 May 2007 00:38:49 +0200

pidentd (3.0.19.ds1-1.1) unstable; urgency=high

  * Non-maintainer upload during BSP.
  * Fix unconditional use of deluser in postrm (Closes: #417040).
  * Depend on update-inetd as it is used in prerm and postinst.
  * Fix broken changelog entries.

 -- Luk Claes <luk@debian.org>  Thu, 17 May 2007 02:19:59 +0200

pidentd (3.0.19.ds1-1ubuntu1) feisty; urgency=low

  [ Lionel Porcheron ]
  * debian/control: Add update-inetd to pidentd's dependencies
    (Closes Ubuntu: #76127).
  * debian/control: Add openbsd-inetd | inet-superserver dependencies
    as pidentd needs an inet server to work
  * debian/pidentd.postinst: change identd home from /var/run/identd
    to /var/run (Closes Ubuntu: #74968)
  * change Build Dep linux-kernel-headers in linux-libc-dev (cause FTBFS)

  [ Michael Bienia ]
  * change the path from /var/run/identd/identd.pid to /var/run/identd.pid
    also in:
    - doc/identd.8
    - etc/identd.conf
    - src/pidentd.h
    - debian/pidentd.prerm

 -- Michael Bienia <geser@ubuntu.com>  Thu, 21 Dec 2006 01:31:46 +0100

pidentd (3.0.19.ds1-1) unstable; urgency=low

  * New upstream release.
  * Fixed "Since version 2.6.16.20-1 of linux-kernel-headers,
    tcp_diag.h was renamed as inet_diag.h", closes: 374749.
  * Removed doc/rfc1413.txt.
  * Fixed identd man page typos, closes: #337184.
    Patch by A Costa <agcosta@gis.net>.
  * Set Standards-Version to 3.7.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 21 Jun 2006 16:38:40 +1000

pidentd (3.0.18-3) unstable; urgency=low

  * Documented in README.Debian the problem of pidentd which requires
    CONFIG_IP_TCPDIAG to be configured in the kernel, closes: #305926.
  * Fixed "pidentd postrm and prerm are #!/bin/sh scripts but use command -v",
    closes: #292995.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 12 May 2005 23:31:51 +1000

pidentd (3.0.18-2) unstable; urgency=low

  * Ported previuos patches to new upstream version.
    Fixed "Config file didn't specify a suitable path for pid file" (Closes: #291180).
    Fixed "New version is DoS-able and doesn't work well on load" (Closes: #291636).
    Patches by Toni Timonen <ttimonen@users.sourceforge.net>
  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 03 Feb 2005 23:11:20 +1100

pidentd (3.0.18-1) unstable; urgency=low

  * New upstream release.
  * Removed doc/rfc1413.txt.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 15 Jan 2005 23:10:06 +1100

pidentd (3.0.16-8) unstable; urgency=low

  * Added pidentd web page to debian/{control,copyright}.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 25 Jun 2004 09:00:34 +1000

pidentd (3.0.16-7) unstable; urgency=low

  * New maintainer (closes: #255921).

