=== debian/control ===
Source: pidentd
Section: net
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.9.8
Build-Depends: autotools-dev, debhelper (>= 7), libssl1.0-dev | libssl-dev (<< 1.1.0~), linux-libc-dev (>= 2.6.16)
Homepage: http://www.lysator.liu.se/~pen/pidentd/

Package: pidentd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, passwd, update-inetd, openbsd-inetd | inet-superserver
Provides: ident-server
Conflicts: ident-server
Replaces: netstd, pidentd-des (<< 3.0.14)
Priority: optional
Section: net
Description: TCP/IP IDENT protocol server with DES support
 Identd is a server which implements the TCP/IP proposed standard IDENT user
 identification protocol as specified in the RFC 1413 document.
 .
 This package has been built with DES support.

Package: idecrypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pidentd-des (<< 3.0.14)
Priority: optional
Section: utils
Description: decrypt an encrypted response from pidentd
 This package contains the idecrypt(8) utility which is used to decrypt
 encrypted responses from a pidentd server with DES encryption turned on.
