=== debian/rules ===
#!/usr/bin/make -f
# Adapted for pidentd.
# Copyright 1999-2002 by Herbert Xu.
# Copyright 2004-2011 by Anibal Monsalve Salazar.
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# export hardening flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package := pidentd

configure: configure-stamp
configure-stamp:
	dh_testdir

	cd aux; \
		for i in config.*; do \
			[ -f $$i.old ] && continue; \
			mv $$i $$i.old; \
			cp /usr/share/misc/$$i .; \
		done

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub aux/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess aux/config.guess
endif

	./configure --with-des \
		    --with-des-includes=/usr/include/openssl \
		    --mandir='$${prefix}/share/man' \
		    --sysconfdir=/etc

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp

	if [ -f Makefile ]; then $(MAKE) distclean; fi

	cd aux; \
		set *.old; \
		if [ -f "$$1" ]; then \
			for i; do \
				mv $$i $${i%.old}; \
			done; \
		fi
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f aux/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f aux/config.guess
endif
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/$(package)/usr install
	rm debian/$(package)/usr/sbin/ibench
	cp etc/identd.conf debian/$(package)/etc
	cp debian/ikeygen.8 debian/$(package)/usr/share/man/man8

	mv debian/$(package)/usr/sbin/idecrypt debian/idecrypt/usr/sbin
	cp debian/idecrypt.8 debian/idecrypt/usr/share/man/man8

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinit -- start 20 S .
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture-dependent files here.
binary-arch: install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary binary-common install \
	configure
